Subject: bug#587: 23.0.60; To source or not to source (from help)

From: "Lennart Borgman (gmail)" <[email-masked]>
Date: Sat, 09 Aug 2008 14:44:54 +0200

martin rudalics wrote:
>  > I did not look at the details again since I did not have time to fix
>  > this. I notice that C-h v takes me to the Emacs install tree I am using
>  > and C-h f takes me to the CVS checkout tree where I compiled Emacs.
> 
> We can consistently try to go to the compile directory or to the install
> directory first, whatever people want.  A problem with the former
> approach is that the definition might not be there any more, e.g., after
> a fresh checkout.  That's why I would probably prefer the latter.

I would suggest something like this:

- A variable to decide where to go
- Possibly there should be a separate variable for the src tree
- If not possible to go there:
   * If no other choice then give an error
   * Otherwise ask user wether to go to the other place
     (checkout/install)